Forum : 5 - Les serveurs son : Jack, PulseAudio et autres...

(résolu) pb installation jack 1.9.6 sous ubuntu 10.04 64bit

ben280 utilisateur non connecté France
bonjour,

ayant une bonne motivation, aujourd'hui j'ai voulu compiler jack 1.9.6 (sous le noyau 2.6.31-11-rt)... Alors je dézippe le fichier je fait:


[+]
Apperemment comme vous voyez si dessous pas de souci:

Checking for alsa >= 1.0.18              : ok


mais je comprend pas pourquoi après il y a marqué:

Build with ALSA support                  : no


Je précise que j'ai compiler la version 1.0.23 d'alsa, et je n'ai besoin que d'alsa (je suis sur une rme en pci) donc le firewire je m'en fous...

PRECISION: J'ai essayé la même manip avec jack 1.9.5 voilà le retour:

Build with ALSA support                  : yes


donc pas de souci avec l'ancienne version...

Si vous avez une suggestion n'hésiter pas... mrgreen

merci

olinuxx utilisateur non connecté France
Coucou,
as-tu le paquet libasound-dev d'installé ?
car :
Checking for alsa >= 1.0.18              : ok

peut vouloir dire que tu as un alsa installé
et
Build with ALSA support                  : no

peut vouloir dire que tu n'as pas les bibliothèques de développement d'alsa installées

a+
Olivier

ben280 utilisateur non connecté France
merci pour ta réponse...biggrin

Citation :
as-tu le paquet libasound-dev d'installé ?


Oui apperemment il est installé... Mais quand je tape "libasound" dans synaptic il y a "libalsa-ocaml" qui n'est pas installé... cela pourrai t il venir de là ?

firens utilisateur non connecté
salut,

essaies plutôt ça :

./waf configure --alsa

ça devrait marcher

ben280 utilisateur non connecté France
salut! merci pour ta réponse firens biggrin
bon j'ai essayé
./waf configure --alsa
ça fonctionne pour la compilation (alsa est reconnu!!!) mais quand j'essaye de lancer qjack il ne se passe rien...
j'ai donc essayé (malin le benjamin mrgreen)
./waf configure prefix=/usr alsa
est pas de souci tout fonctionne à merveille, problème résolu!
merci à tous

olinuxx utilisateur non connecté France
Cool !
As-tu 5 mins pour remonter ça dans les pages de JACK ? (Peut être ici : jack_installation )
et merci pour le résolu wink

a+
Olivier

pianolivier utilisateur non connecté France
pour info : c'est juste avec cette derniere version de jack cette histoire de configuration "a la main" si j'ai bien compris (sources #jack sur freenode)

ben280 utilisateur non connecté France
effectivement, avec la version 1.9.5 je n'ai pas eu se souci...
J'ai fait une légère modif dans le répertoire de "jack_installation" en esperant que cela sert à quelqu'un! biggrin

olinuxx utilisateur non connecté France
merci pour la remontée wink
du coup, je passe ferme le sujet :
Édition (admin olinuxx) : sujet fermé car résolu.
Si besoin de ré-ouvrir le sujet, vous pouvez vous adresser à un des admins wink
Pour des conseils sur le fonctionnement général du forum, vous pouvez voir cette page.

a+
Olivier